package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.dto.CompanyDTO;
import com.isu.gaswellwatch.dto.CompanyEditDTO;
import com.isu.gaswellwatch.entity.Company;
import com.isu.gaswellwatch.vo.CompanyVO;

public interface CompanyService extends IService<Company> {

    Page<CompanyVO> page(Integer currentPage, Integer pageSize, String name,String code);
    void add(CompanyDTO companyDTO);
    void edit(CompanyEditDTO companyEditDTO);
    void delete(Long id);
}

